/*! HTML5 Boilerplate v5.1.0 | MIT License | https://html5boilerplate.com/ */

/*
 * What follows is the result of much research on cross-browser styling.
 * Credit left inline and big thanks to Nicolas Gallagher, Jonathan Neal,
 * Kroc Camen, and the H5BP dev community and team.
 */

/* ==========================================================================
   Base styles: opinionated defaults
   ========================================================================== */

html {
    color: #222;
    font-size: 1em;
    line-height: 1.4;
}

/*
 * Remove text-shadow in selection highlight:
 * https://twitter.com/miketaylr/status/12228805301
 *
 * These selection rule sets have to be separate.
 * Customize the background color to match your design.
 */

::-moz-selection {
    background: #b3d4fc;
    text-shadow: none;
}

::selection {
    background: #b3d4fc;
    text-shadow: none;
}

/*
 * A better looking default horizontal rule
 */

hr {
    display: block;
    height: 1px;
    border: 0;
    border-top: 1px solid #ccc;
    margin: 1em 0;
    padding: 0;
}

/*
 * Remove the gap between audio, canvas, iframes,
 * images, videos and the bottom of their containers:
 * https://github.com/h5bp/html5-boilerplate/issues/440
 */

audio,
canvas,
iframe,
img,
svg,
video {
    vertical-align: middle;
}

/*
 * Remove default fieldset styles.
 */

fieldset {
    border: 0;
    margin: 0;
    padding: 0;
}

/*
 * Allow only vertical resizing of textareas.
 */

textarea {
    resize: vertical;
}

/* ==========================================================================
   Browser Upgrade Prompt
   ========================================================================== */

.browserupgrade {
    margin: 0.2em 0;
    background: #ccc;
    color: #000;
    padding: 0.2em 0;
}

/* ==========================================================================
   Author's custom styles
   ========================================================================== */

body {
    font-family: 'Open Sans', sans-serif;
}

a {
    text-decoration: none;
    color: #cccccc;
}

a:hover {
    color: #210902;
}

* {
    box-sizing: border-box;
}

.wrapper {
    position: relative;
    width: 96%;
    margin: 0 auto;
    padding: 2%;
}

.clear {
    clear: both;
}

.table {
    width: 100%;
    display: table;
}

.special-margin {
    margin-left: -1%;
    margin-right: -1%;
}

/* ============== HEADER ============== */

header {
    width: 100%;
}

header .logo {
    width: 250px;
    height: 100px;
    margin: auto;
    background-image: url("../img/logoBrown.png");
    background-position: center;
    background-repeat: no-repeat;
}

header nav {
    width: 100%;
    height: 50px;
    border-top: 1px solid #210902;
    border-bottom: 1px solid #210902;
    text-align: center;
    position: relative;
}

header nav a {
    display: inline-block;
    padding: 15px 2%;
    text-align: center;
    text-transform: uppercase;
    text-decoration: none;
    font-size: 14px;
    color: #210902;
}

header nav button {
    position: absolute;
}

.lang {
    position: absolute;
    padding: 2px;
    top: 10px;
    right: 0;
    z-index: 10;
}

/* ============== INDEX ============== */

.index .slider {
    width: 100%;
    height: auto;
    margin-top: 20px;
}

.index h2 {
    width: 100%;
    margin: 30px auto 15px; 
    text-align: center;
    font-size: 38px;
    font-family: 'Amatic SC', cursive;
    letter-spacing: 2px;
}

.index .line {
    display: block;
    width: 50%;
    height: 1px;
    margin: 10px auto 40px;
    background-color: #cccccc;
}

.index .read-more {
    width: 20%;
    height: 20px;
    margin: -52px auto 0;
    text-align: center;
    background-color: #ffffff;
}

.index .service-box {
    display: block;
    width: 100%; 
    margin-top: 30px;
    padding: 0 20px;
    float: left;
}

.index .service-box .circle {
    width: 120px;
    height: 120px;
    margin: 10px auto;
    border: 1px solid #210902;
    border-radius: 50%;
    background-position: center;
    background-size: 46px;
    background-repeat: no-repeat;
}

.index .service-box .circle#cook {
    background-image: url("../img/kuhar.png");
}

.index .service-box .circle#restaurant {
    background-image: url("../img/escajg.png");
}

.index .service-box .circle#sleep {
    background-image: url("../img/krevet.png");
}

.index .service-box h3 {
    width: 100%;
    font-weight: 400;
    text-transform: uppercase;
    text-align: center;
}

.index .service-box p {
    width: 100%;
    color: #bbbbbb;
    font-size: 14px;
    text-align: center;
}

.index .news-box {
    width: 97%;
    margin: 20px 2% 0;
    float: none;
}

.index .news-box .photo {
    width: 100%;
    height: 250px;
    position: relative;
    overflow: hidden;
}

.index .news-box .photo img {
    width: 120%;
}

.index .news-box .photo .date {
    width: 100%;
    padding: 10px;
    position: absolute;
    bottom: 0;
    left: 0;
    z-index: 10;
    background-image: url(../img/transparent.png);
    color: #ffffff;
    text-align: center;
}

.index .news-box h3 {
    margin: 0;
    padding: 10px 0;
    font-weight: 400;
    text-transform: uppercase;
    font-size: 15px;
    color: #210902;
}

.index .room-box {
    width: 32%;
    height: 120px;
    margin-right: 2%;
    margin-bottom: 20px;
    float: left;
    background-color: #210902;
    position: relative;
    overflow: hidden;
}

.index .room-box:nth-child(3n) {
    margin-right: 0;
}

.index .room-box img {
    width: 120%;
}

.index .room-box .title {
    width: 100%;
    height: 0px;
    padding: 40px 10px 0;
    font-size: 24px;
    font-family: 'Amatic SC', cursive;
    text-align: center;
    color: #ffffff;
    position: absolute;
    bottom: -40px;
    left: 0;
    background-image: url("../img/transparent.png");
    -webkit-transition: height 0.5s;
    transition: height 0.5s;
}

.index .room-box:hover .title {
    height: 160px;
}

.page h1 {
    width: 100%;
    text-align: center;
    font-family: 'Amatic SC', cursive;
    font-size: 30px;
}

.page .map {
    width: 100%;
    height: 400px;
    margin-bottom: 20px;
}

.page .box-33 {
    display: block;
    width: 32%;
    height: 200px;
    float: left;
    margin-top: 20px;
    margin-right: 2%;
}

.page .box-33:last-child {
    margin-right: 0%;
}

.page .box-33 h2 {
    width: 100%;
    margin: 0;
    font-size: 24px;
    text-align: center;
    font-family: 'Amatic SC', cursive;
}

.page .box-33 p {
    width: 100%;
    margin: 20px 0 0 0;
    color: #aaaaaa;
    text-align: center;
}

.page .photo {
    width: 100%;
    height: 300px;
    margin-bottom: 10px;
    overflow: hidden;
    background-color: #000000;
}

.page .photo img {
    width: 100%;
}

.page .news-box {
    display: block;
    width: 48%;
    height: 160px;
    float: left;
    margin: 1%;
    margin-bottom: 2%;
    overflow: hidden;
    position: relative;
}
 
.page .news-box img {
    width: 100%;
}

.page .news-box .title {
    width: 80%;
    padding: 10px;
    position: absolute;
    top: 20%;
    left: 10%;
    background-image: url("../img/transparent.png");
    color: #ffffff;
    text-align: center;
}

.page .news-box .title span {
    display: block;
    margin-bottom: 5px;
    font-size: 10px;
    text-align: center;
}

.photos {
    width: 18%;
    height: 70px;
    margin: 0 1% 5px;
    float: left;
    overflow: hidden;
}

/* ============== FOOTER ============== */

footer {
    width: 100%;
    height: 160px;
    background-color: #210902;
}

footer .logo {
    display: block;
    width: 183px;
    height: 100px;
    margin: auto;
    background-image: url("../img/logoWhite.png");
    background-position: center;
    background-repeat: no-repeat;
}

footer nav {
    width: 100%;
    height: 50px;
    text-align: center;
    display: none;
}

footer nav a {
    display: inline-block;
    padding: 15px 2%;
    text-align: center;
    text-transform: uppercase;
    text-decoration: none;
    font-size: 14px;
    color: #ffffff;
}

footer .credits {
    width: 100%;
    margin-top: 20px;
    text-align: center;
    font-size: 11px;
    color: #ffffff;
}


@media screen and (min-device-width: 960px) {
    
    body {
        font-family: 'Open Sans', sans-serif;
    }

    .wrapper {
        width: 960px;
        margin: 0 auto;
        padding: 0;
    }

    .clear {
        clear: both;
    }

    .table {
        width: 100%;
        display: table;
    }

    /* ============== HEADER ============== */

    header {
        width: 100%;
    }

    header .logo {
        width: 250px;
        height: 100px;
        margin: auto;
        background-image: url("../img/logoBrown.png");
        background-position: center;
        background-repeat: no-repeat;
    }

    header nav {
        width: 100%;
        height: 50px;
        border-top: 1px solid #210902;
        border-bottom: 1px solid #210902;
        text-align: center;
        position: relative;
    }

    header nav a {
        display: inline-block;
        padding: 15px 30px;
        text-align: center;
        text-transform: uppercase;
        text-decoration: none;
        font-size: 14px;
        color: #210902;
    }

    header nav button {
        position: absolute;
    }

    /* ============== INDEX ============== */

    .index .slider {
        width: 100%;
        height: 400px;
        margin-top: 20px;
    }

    .index h2 {
        width: 100%;
        margin: 30px auto 15px;
        font-size: 30px;
    }

    .index .service-box {
        width: 33.33%;
        height: 300px;
        padding: 0 20px;
        float: left;
    }

    .index .service-box .circle {
        width: 120px;
        height: 120px;
        margin: 10px auto;
        border: 1px solid #210902;
        border-radius: 50%;
    }

    .index .service-box h3 {
        width: 100%;
        font-weight: 400;
        text-transform: uppercase;
        text-align: center;
    }

    .index .service-box p {
        width: 100%;
        color: #bbbbbb;
        font-size: 14px;
        text-align: center;
    }

    .index .news-box {
        width: 31.3%;
        margin: 40px 1% 0; 
        float: left;
    }

    .index .news-box .photo {
        width: 100%;
        height: 250px;
        position: relative;
        overflow: hidden; 
    } 

    .index .news-box .photo .date {
        width: 100%;
        padding: 10px;
        position: absolute;
        bottom: 0;
        left: 0;
        z-index: 10;
        background-image: url(../img/transparent.png);
        color: #ffffff;
        text-align: center;
    }

    .index .news-box h3 {
        margin: 0;
        padding: 10px 0;
        font-weight: 400;
        text-transform: uppercase;
    }

    .index .room-box {
        width: 15%;
        height: 120px;
        margin-right: 2%;
        margin-bottom: 20px;
        float: left;
        background-color: #210902;
        position: relative;
        overflow: hidden;
    }

    .index .room-box:nth-child(3n) {
        margin-right: 2%;
    }
    
    .index .room-box:nth-child(6n) {
        margin-right: 0;
    }

    .index .room-box img {
        width: 120%;
    }

    .index .room-box .title {
        width: 100%;
        height: 0px;
        padding: 40px 10px 0;
        font-size: 24px;
        text-align: center;
        color: #ffffff;
        position: absolute;
        bottom: -40px;
        left: 0;
        background-image: url("../img/transparent.png");
        -webkit-transition: height 0.5s;
        transition: height 0.5s;
    }

    .index .room-box:hover .title {
        height: 160px;
    }

    .page h1 {
        width: 100%;
        text-align: center;
    }

    .page .map {
        width: 100%;
        height: 400px;
        margin-bottom: 20px;
    }

    .page .box-33 {
        display: block;
        width: 31.3%;
        height: 200px;
        float: left;
        margin-top: 20px;
        margin: 1%;
    }

    .page .box-33 h2 {
        width: 100%;
        margin: 0;
        font-size: 24px;
        text-align: center;
    }

    .page .box-33 p {
        width: 100%;
        margin: 20px 0 0 0;
        color: #aaaaaa;
        text-align: center;
    }

    .page .photo {
        width: 100%;
        height: 450px;
        margin-bottom: 20px;
        overflow: hidden;
        background-color: #000000;
    }

    .page .photo img {
        width: 100%;
    }

    .page .news-box {
        display: block;
        width: 31.3%;
        height: 200px;
        float: left;
        margin: 1%;
        overflow: hidden;
        position: relative;
    }

    .page .news-box:nth-child(3n) {
        margin-right: 0;
    }

    .page .news-box img {
        width: 100%;
    }

    .page .news-box .title {
        width: 80%;
        padding: 10px;
        position: absolute;
        top: 60px;
        left: 10%;
        background-image: url("../img/transparent.png");
        color: #ffffff;
        text-align: center;
    }

    .page .news-box .title span {
        display: block;
        margin-bottom: 5px;
        font-size: 10px;
        text-align: center;
    }
    
    .photos {
        height: 120px;
    }

    /* ============== FOOTER ============== */

    footer {
        width: 100%;
        height: 200px;
        background-color: #210902;
    }

    footer .logo {
        display: block;
        width: 183px;
        height: 100px;
        margin: auto;
        background-image: url("../img/logoWhite.png");
        background-position: center;
        background-repeat: no-repeat;
    }

    footer nav {
        display: block;
        width: 100%;
        height: 50px;
        text-align: center;
    }

    footer nav a {
        display: inline-block;
        padding: 15px 30px;
        text-align: center;
        text-transform: uppercase;
        text-decoration: none;
        font-size: 14px;
        color: #ffffff;
    }

    footer .credits {
        width: 100%;
        margin-top: 20px;
        text-align: center;
        font-size: 11px;
        color: #ffffff;
    }
    
}







/* ==========================================================================
   Helper classes
   ========================================================================== */

/*
 * Hide visually and from screen readers:
 */

.hidden {
    display: none !important;
}

/*
 * Hide only visually, but have it available for screen readers:
 * http://snook.ca/archives/html_and_css/hiding-content-for-accessibility
 */

.visuallyhidden {
    border: 0;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
}

/*
 * Extends the .visuallyhidden class to allow the element
 * to be focusable when navigated to via the keyboard:
 * https://www.drupal.org/node/897638
 */

.visuallyhidden.focusable:active,
.visuallyhidden.focusable:focus {
    clip: auto;
    height: auto;
    margin: 0;
    overflow: visible;
    position: static;
    width: auto;
}

/*
 * Hide visually and from screen readers, but maintain layout
 */

.invisible {
    visibility: hidden;
}

/*
 * Clearfix: contain floats
 *
 * For modern browsers
 * 1. The space content is one way to avoid an Opera bug when the
 *    `contenteditable` attribute is included anywhere else in the document.
 *    Otherwise it causes space to appear at the top and bottom of elements
 *    that receive the `clearfix` class.
 * 2. The use of `table` rather than `block` is only necessary if using
 *    `:before` to contain the top-margins of child elements.
 */

.clearfix:before,
.clearfix:after {
    content: " "; /* 1 */
    display: table; /* 2 */
}

.clearfix:after {
    clear: both;
}

/* ==========================================================================
   EXAMPLE Media Queries for Responsive Design.
   These examples override the primary ('mobile first') styles.
   Modify as content requires.
   ========================================================================== */

@media only screen and (min-width: 35em) {
    /* Style adjustments for viewports that meet the condition */
}

@media print,
       (-webkit-min-device-pixel-ratio: 1.25),
       (min-resolution: 120dpi) {
    /* Style adjustments for high resolution devices */
}

/* ==========================================================================
   Print styles.
   Inlined to avoid the additional HTTP request:
   http://www.phpied.com/delay-loading-your-print-css/
   ========================================================================== */

@media print {
    *,
    *:before,
    *:after {
        background: transparent !important;
        color: #000 !important; /* Black prints faster:
                                   http://www.sanbeiji.com/archives/953 */
        box-shadow: none !important;
        text-shadow: none !important;
    }

    a,
    a:visited {
        text-decoration: underline;
    }

    a[href]:after {
        content: " (" attr(href) ")";
    }

    abbr[title]:after {
        content: " (" attr(title) ")";
    }

    /*
     * Don't show links that are fragment identifiers,
     * or use the `javascript:` pseudo protocol
     */

    a[href^="#"]:after,
    a[href^="javascript:"]:after {
        content: "";
    }

    pre,
    blockquote {
        border: 1px solid #999;
        page-break-inside: avoid;
    }

    /*
     * Printing Tables:
     * http://css-discuss.incutio.com/wiki/Printing_Tables
     */

    thead {
        display: table-header-group;
    }

    tr,
    img {
        page-break-inside: avoid;
    }

    img {
        max-width: 100% !important;
    }

    p,
    h2,
    h3 {
        orphans: 3;
        widows: 3;
    }

    h2,
    h3 {
        page-break-after: avoid;
    }
}
